cURL
curl --request GET \
--url https://api.hubapi.com/crm/v3/imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mappedObjectTypeIds": [
"<string>"
],
"metadata": {
"counters": {},
"fileIds": [
"<string>"
],
"objectLists": [
{
"listId": "<string>",
"objectType": "<string>"
}
]
},
"optOutImport": true,
"state": "CANCELED",
"updatedAt": "2023-11-07T05:31:56Z",
"importName": "<string>",
"importRequestJson": {},
"importSource": "API",
"importTemplate": {
"templateId": 123,
"templateType": "admin_defined"
}
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Imports
Get active imports
GET
/
crm
/
v3
/
imports
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Last modified on April 16, 2026
Was this page helpful?